<template>

  <div class="projects q-pa-md">
     <testInfoPanel />
     <div class="q-pa-md q-gutter-sm">
       <q-breadcrumbs>
         <q-breadcrumbs-el icon="home" to="/" />
         <q-breadcrumbs-el label="Projects" icon="widgets" to="/projects" />
         <q-breadcrumbs-el :label="project.name" icon="fab fa-gitlab" />
       </q-breadcrumbs>
     </div>

      <div class="row">
        <!-- <div class="col-md-12"><bubbleChartJobsExecuted /></div> -->
        <div class="col-md-3"><cardTestsFilter v-bind:dt_to="dt_to" v-bind:dt_from="dt_from"/></div>
        <div class="col-md-9"><barChartJobsExecuted v-bind:dt_to="dt_to" v-bind:dt_from="dt_from"/></div>
      </div>
      <div class="row">
        <div class="col-md-12"><tableTestsSummary v-bind:dt_to="dt_to" v-bind:dt_from="dt_from"/></div>
      </div>
  </div>

</template>

<script>

//import bubbleChartJobsExecuted from '@/components/charts/bubbleChartJobsExecuted.vue'
import barChartJobsExecuted from '@/components/charts/barChartJobsExecuted.vue'
import tableTestsSummary from '@/components/tables/tableTestsSummary.vue'
import testInfoPanel from '@/components/panels/testInfoPanel.vue'
import cardTestsFilter from '@/components/cards/cardTestsFilter.vue'


export default {
  components: {
    //bubbleChartJobsExecuted,
    barChartJobsExecuted,
    tableTestsSummary,
    testInfoPanel,
    cardTestsFilter
  },

  data () {
    return {
       project: {},
       dt_to: new Date().toISOString().substr(0,10),
       dt_from: new Date(Date.now() - 15 * 24 * 60 * 60 * 1000).toISOString().substr(0,10),
    }
  },

  mounted() {
    let project_id = this.$route.params.id
    fetch("http://localhost:8000/projects/" + project_id)
      .then(response => response.json())
      .then(data => (this.updateComponents(data)));
  },

  methods: {
     updateComponents(data) {
       this.project = data
     }
  }
}
</script>
